Loading...
Searching...
No Matches
QGpgME::DN Class Reference

DN parser and reorderer. More...

`#include <dn.h>`

## Classes

class | Attribute
class | Private

## Public Types

typedef QVector< Attribute > | AttributeList
typedef AttributeList::const_iterator | const_iterator

## Public Member Functions

| DN (const QString &dn)
| DN (const char *utf8DN)
| DN (const DN &other)
const DN & | operator= (const DN &other)
QString | prettyDN () const
QString | dn () const
QString | dn (const QString &sep) const
QStringList | prettyAttributes () const
QString | operator[] (const QString &attr) const
void | append (const Attribute &attr)
const_iterator | begin () const
const_iterator | end () const
void | setAttributeOrder (const QStringList &order) const
const QStringList & | attributeOrder () const

## Static Public Member Functions

static QString | escape (const QString &value)

## Detailed Description

DN parser and reorderer.

## Member Function Documentation

## attributeOrder()

const QStringList & QGpgME::DN::attributeOrder | ( |  | ) | const

Get the used attribute order.

## dn() [1/2]

QString QGpgME::DN::dn | ( |  | ) | const

Returns
  the DN in the original form

## dn() [2/2]

QString QGpgME::DN::dn | ( | const QString & | sep | ) | const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Uses sep as separator (default: ,)

## escape()

QString QGpgME::DN::escape | ( | const QString & | value | ) |

static

Returns
  the value in rfc-2253-escaped form

## prettyAttributes()

QStringList QGpgME::DN::prettyAttributes | ( |  | ) | const

Returns
  the non-empty attributes formatted as ``{NAME=value} and reordered according to the set order.

## prettyDN()

QString QGpgME::DN::prettyDN | ( |  | ) | const

Returns
  the DN in a reordered form, according to the set order

## setAttributeOrder()

void QGpgME::DN::setAttributeOrder | ( | const QStringList & | order | ) | const

Set the order in which prettyDN will reorder the Attributes.

The documentation for this class was generated from the following files:

- dn.h
- dn.cpp